The Alternative Csound Reference Manual
Previous |  | Next

# elseif

elseif -- Defines another "if...then" condition when a "if...then" condition is false.

## Description

Defines another "if...then" condition when a "if...then" condition is false.

## Syntax

elseif xa R xb then

where label is in the same instrument block and is not an expression, and where R is one of the Relational operators (<, =, <=, ==, !=) (and = for convenience, see also under Conditional Values).

## Performance

elseif is used inside of a block of code between the "if...then" and endif opcodes. When a "if...then" condition is false, it defines another "if...then" condition to be met. Any number of elseif statements are allowed.

## Examples

See the example for the if opcode.

## See Also

else, endif, goto, if, igoto, kgoto, tigoto, timout

## Credits

New in version 4.21

Previous | Home | Next
else | Up | endif